%define section free
%define base_name anttex

Summary:        TeX Extensions to Ant
Name:           %{base_name}
Version:        0.2
Release:        1jpp
Epoch:          0
License:        Open Source
URL:            http://ls10-www.informatik.uni-dortmund.de/~alfert/ant-extension/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        anttex-0.2.tar.gz
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  ant >= 0:1.5.4, ant-optional >= 0:1.5.4
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Here's an extension to the Apache build tool ANT 
to use LaTeX and friends called anttex. Well, the 
only friends currently are BIBTeX and pdfLaTeX. 
But makeindex and dvips are possible candidates 
for the future. 

%prep
%setup -q -n %{base_name}-%{version}
find . -name "*.jar" -exec rm {} \;

%build
ant 

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p %{base_name}.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/*.jar

# -----------------------------------------------------------------------------

%changelog

* Wed Mar 24 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.2-1jpp
- First JPackage release
